"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deriveTokenTransferMessageAddress = void 0;
const sdk_solana_1 = require("@wormhole-foundation/sdk-solana");
const web3_js_1 = require("@solana/web3.js");
const sdk_connect_1 = require("@wormhole-foundation/sdk-connect");
function deriveTokenTransferMessageAddress(programId, payer, sequence) {
    return sdk_solana_1.utils.deriveAddress([
        Buffer.from('bridged'),
        new web3_js_1.PublicKey(payer).toBuffer(),
        Buffer.from(sdk_connect_1.encoding.bignum.toBytes(BigInt(sequence.toString()), 8)),
    ], programId);
}
exports.deriveTokenTransferMessageAddress = deriveTokenTransferMessageAddress;
//# sourceMappingURL=tokenTransferMessage.js.map