"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.coder = exports.createReadOnlyTokenBridgeProgramInterface = exports.createTokenBridgeProgramInterface = void 0;
const web3_js_1 = require("@solana/web3.js");
const anchor_1 = require("@coral-xyz/anchor");
const sdk_solana_1 = require("@wormhole-foundation/sdk-solana");
const index_js_1 = require("./coder/index.js");
const tokenBridgeType_js_1 = require("../../tokenBridgeType.js");
function createTokenBridgeProgramInterface(programId, provider) {
    return new anchor_1.Program(tokenBridgeType_js_1.TOKEN_BRIDGE_IDL, new web3_js_1.PublicKey(programId), provider === undefined ? { connection: null } : provider, coder());
}
exports.createTokenBridgeProgramInterface = createTokenBridgeProgramInterface;
function createReadOnlyTokenBridgeProgramInterface(programId, connection) {
    return createTokenBridgeProgramInterface(programId, sdk_solana_1.utils.createReadOnlyProvider(connection));
}
exports.createReadOnlyTokenBridgeProgramInterface = createReadOnlyTokenBridgeProgramInterface;
function coder() {
    return new index_js_1.TokenBridgeCoder(tokenBridgeType_js_1.TOKEN_BRIDGE_IDL);
}
exports.coder = coder;
//# sourceMappingURL=program.js.map